debReleaseIndexPrivate Class Reference
Collaboration diagram for debReleaseIndexPrivate:
[legend]

## Classes

struct | debSectionEntry

## Public Member Functions

| debReleaseIndexPrivate (std::map< std::string, std::string > const &Options)

## Public Attributes

std::vector< debSectionEntry > | DebEntries
std::vector< debSectionEntry > | DebSrcEntries
metaIndex::TriState | CheckValidUntil
time_t | ValidUntilMin
time_t | ValidUntilMax
metaIndex::TriState | CheckDate
time_t | DateMaxFuture
time_t | NotBefore
std::string | Snapshot
std::string | SnapshotsServer
std::vector< std::string > | Architectures
std::vector< std::string > | NoSupportForAll
std::vector< std::string > | SupportedComponents
std::map< std::string, std::string > const | ReleaseOptions

The documentation for this class was generated from the following file:

- apt-pkg/deb/debmetaindex.cc